summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitmodules2
m---------global-jjb0
-rw-r--r--jjb/csit/csit.yaml72
m---------jjb/global-jjb0
l---------jjb/global-jjb/jenkins-admin1
l---------jjb/global-jjb/jenkins-init-scripts1
l---------jjb/global-jjb/jjb1
l---------jjb/global-jjb/shell1
-rw-r--r--jjb/scripts/cleanup_vpp_plugin_dev_env.sh4
-rw-r--r--jjb/scripts/setup_vpp_dpdk_dev_env.sh6
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_arm_test.sh6
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh6
12 files changed, 78 insertions, 22 deletions
diff --git a/.gitmodules b/.gitmodules
index 07b28be4b..9f7b77825 100644
--- a/.gitmodules
+++ b/.gitmodules
@@ -1,3 +1,3 @@
[submodule "jjb/global-jjb"]
- path = jjb/global-jjb
+ path = global-jjb
url = https://github.com/lfit/releng-global-jjb
diff --git a/global-jjb b/global-jjb
new file mode 160000
+Subproject 70c97bbbfbd071c6e75f7a3d47a453ee863c69e
diff --git a/jjb/csit/csit.yaml b/jjb/csit/csit.yaml
index 058af8a44..1cd4ccefa 100644
--- a/jjb/csit/csit.yaml
+++ b/jjb/csit/csit.yaml
@@ -39,7 +39,7 @@
- 'csit-dpdk-perf-mrr-weekly-master'
- 'csit-dpdk-perf-mrr-weekly-master-2n-skx'
- 'csit-dpdk-perf-mrr-weekly-master-3n-skx'
- - 'csit-ligato-perf-{stream}-{type}'
+ - 'csit-ligato-perf-verify-{stream}-{topo}-{arch}'
- 'csit-vpp-perf-mrr-daily-master'
- 'csit-vpp-perf-mrr-daily-master-2n-skx'
- 'csit-vpp-perf-mrr-daily-master-3n-skx'
@@ -225,10 +225,49 @@
maven-version: 'mvn33-new'
- job-template:
- name: 'csit-ligato-perf-{stream}-{type}'
+ name: 'csit-ligato-perf-verify-{stream}-{topo}-{arch}'
+
+ description: |
+ <ul>
+ <li>objective
+ <ul>
+ <li>perf verify - per csit gerrit patch
+ </ul>
+ <li>job
+ <ul>
+ <li>name: <b>csit-ligato-perf-verify-{stream}-{topo}-{arch}</b>
+ <li>trigger: keyword in comment to csit patch:
+ <b>csit--ligato-{topo}-{arch}-perftest tag_list</b>
+ </ul>
+ <li>perf test-cases selection
+ <ul>
+ <li>test-cases selected using trigger keyword followed by tags
+ <li>all test-cases are labelled with CSIT RF topic tags
+ defined in <i>csit/docs/tag_documentation.rst</i>
+ </ul>
+ <li>proposed keywords
+ <ul>
+ <li>focus on testing specified Kubernetes orchestrated topologies
+ <li>format: csit-ligato-{topo}-{arch}-perftest tag_list
+ </ul>
+ <li>default tags for vpp startup config and perf test type
+ <ul>
+ <li>IP4BASE, IP6BASE, L2BDBASE
+ <li>64B/78B: 64B/78B packet size
+ <li>1C: one core
+ <li>X710: x710 Fortville NIC
+ <li>MRR: MRR throughput
+ </ul>
+ <li>results
+ <ul>
+ <li>jjb verify: PASS/FAIL
+ <li>present: no
+ <li>analyse: no
+ </ul>
+ </ul>
project-type: freestyle
- node: 'ubuntu1604-basebuild-4c-4g'
+ node: 'ubuntu1804-basebuild-4c-4g'
concurrent: true
logrotate:
@@ -242,8 +281,9 @@
project: '{project}'
- gerrit-parameter:
branch: '{branch}'
- - type-parameter:
- type: '{type}'
+ - gerrit-refspec-parameter
+ - gerrit-event-type-parameter
+ - gerrit-event-comment-text-parameter
scm:
- gerrit-trigger-scm:
@@ -256,10 +296,22 @@
build-timeout: '{build-timeout}'
triggers:
- - gerrit-trigger-manually-triggered:
- name: '{project}'
- branch: '{branch}'
- comment-trigger-value: 'verify-perf-ligato-{type}'
+ - gerrit:
+ server-name: 'Primary'
+ trigger-on:
+ - comment-added-contains-event:
+ comment-contains-value: 'csit-ligato-{topo}-{arch}-perftest'
+ projects:
+ - project-compare-type: 'ANT'
+ project-pattern: '{project}'
+ branches:
+ - branch-compare-type: 'ANT'
+ branch-pattern: '**/{branch}'
+ skip-vote:
+ successful: false
+ failed: false
+ unstable: false
+ notbuilt: false
builders:
- shell:
@@ -704,7 +756,7 @@
reply-to: ''
content-type: 'text'
subject: 'FD.io CSIT Trending Alert: Build # $BUILD_NUMBER'
- attachments: '/w/workspace/csit-trending-daily-master/resources/tools/presentation/_build/_static/vpp/failed-tests.tar.gz'
+ attachments: '**/_build/_static/vpp/failed-tests*.tar.gz'
body: |
FD.io CSIT Trending Alert - failed tests
diff --git a/jjb/global-jjb b/jjb/global-jjb
deleted file mode 160000
-Subproject 8e33e6ab798cd57a383cb8871d973de3fce6340
diff --git a/jjb/global-jjb/jenkins-admin b/jjb/global-jjb/jenkins-admin
new file mode 120000
index 000000000..8e7fe05cc
--- /dev/null
+++ b/jjb/global-jjb/jenkins-admin
@@ -0,0 +1 @@
+../../global-jjb/jenkins-admin \ No newline at end of file
diff --git a/jjb/global-jjb/jenkins-init-scripts b/jjb/global-jjb/jenkins-init-scripts
new file mode 120000
index 000000000..c7c6a9553
--- /dev/null
+++ b/jjb/global-jjb/jenkins-init-scripts
@@ -0,0 +1 @@
+../../global-jjb/jenkins-init-scripts \ No newline at end of file
diff --git a/jjb/global-jjb/jjb b/jjb/global-jjb/jjb
new file mode 120000
index 000000000..23c884f04
--- /dev/null
+++ b/jjb/global-jjb/jjb
@@ -0,0 +1 @@
+../../global-jjb/jjb \ No newline at end of file
diff --git a/jjb/global-jjb/shell b/jjb/global-jjb/shell
new file mode 120000
index 000000000..d37c43f86
--- /dev/null
+++ b/jjb/global-jjb/shell
@@ -0,0 +1 @@
+../../global-jjb/shell \ No newline at end of file
diff --git a/jjb/scripts/cleanup_vpp_plugin_dev_env.sh b/jjb/scripts/cleanup_vpp_plugin_dev_env.sh
index 3ef26a79b..2fcdf7016 100644
--- a/jjb/scripts/cleanup_vpp_plugin_dev_env.sh
+++ b/jjb/scripts/cleanup_vpp_plugin_dev_env.sh
@@ -20,10 +20,10 @@ function cleanup {
# Setup by installing vpp-dev and vpp-lib
if [ $DISTRIB_ID == "Ubuntu" ]; then
sudo rm -f /etc/apt/sources.list.d/99fd.io.list
- sudo dpkg -r vpp-dev vpp-lib vpp-dev vpp-lib vpp vpp-dpdk-dev vpp-dpdk-dkms vpp-dbg vpp-dev-contrib
+ sudo dpkg -r vpp-dev vpp-lib vpp-dev vpp-lib vpp vpp-dpdk-dev vpp-dpdk-dkms vpp-dbg vpp-ext-deps
elif [[ $DISTRIB_ID == "CentOS" ]]; then
sudo rm -f /etc/yum.repos.d/fdio-master.repo
- sudo yum -y remove vpp-devel vpp-lib vpp vpp-dev-contrib
+ sudo yum -y remove vpp-devel vpp-lib vpp vpp-ext-deps
fi
}
diff --git a/jjb/scripts/setup_vpp_dpdk_dev_env.sh b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
index f5a585888..595e8b763 100644
--- a/jjb/scripts/setup_vpp_dpdk_dev_env.sh
+++ b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
@@ -18,7 +18,7 @@ function setup {
curl -s https://packagecloud.io/install/repositories/fdio/${STREAM}/script.deb.sh | sudo bash
sudo apt-get -y --force-yes install vpp-dpdk-dev || true
sudo apt-get -y --force-yes install vpp-dpdk-dkms || true
- sudo apt-get -y --force-yes install vpp-dev-contrib || true
+ sudo apt-get -y --force-yes install vpp-ext-deps || true
elif [ "$OS_ID" == "centos" ]; then
if [ -f /etc/yum.repos.d/fdio-master.repo ]; then
echo "Deleting: /etc/yum.repos.d/fdio-master.repo"
@@ -26,7 +26,7 @@ function setup {
fi
curl -s https://packagecloud.io/install/repositories/fdio/${STREAM}/script.rpm.sh | sudo bash
sudo yum -y install vpp-dpdk-devel || true
- sudo yum -y install vpp-dev-contrib || true
+ sudo yum -y install vpp-ext-deps || true
elif [ "$OS_ID" == "opensuse" ]; then
REPO_URL="${NEXUSPROXY}/content/repositories/fd.io.${REPO_NAME}"
echo "REPO_URL: ${REPO_URL}"
@@ -39,7 +39,7 @@ gpgcheck=0
EOF
sudo mv fdio-master.repo /etc/yum/repos.d/fdio-master.repo
sudo yum -y install vpp-dpdk-devel || true
- sudo yum -y install vpp-dev-contrib || true
+ sudo yum -y install vpp-ext-deps || true
fi
fi
}
diff --git a/jjb/scripts/setup_vpp_ubuntu_arm_test.sh b/jjb/scripts/setup_vpp_ubuntu_arm_test.sh
index af01f0e6e..45226d309 100644
--- a/jjb/scripts/setup_vpp_ubuntu_arm_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_arm_test.sh
@@ -48,13 +48,13 @@ if [ "${GERRIT_BRANCH}" != "master" ]; then
if [ "${OS_ID}" == "ubuntu" ]; then
apt-get -y remove vpp-dpdk-dev || true
apt-get -y remove vpp-dpdk-dkms || true
- apt-get -y remove vpp-dev-contrib || true
+ apt-get -y remove vpp-ext-deps || true
elif [ "${OS_ID}" == "centos" ]; then
yum -y erase vpp-dpdk-devel || true
- yum -y erase vpp-dev-contrib || true
+ yum -y erase vpp-ext-deps || true
yum clean all || true
elif [ "${OS_ID}" == "opensuse" ]; then
yum -y erase vpp-dpdk-devel || true
- yum -y erase vpp-dev-contrib || true
+ yum -y erase vpp-ext-deps || true
fi
fi
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index f0a87ff32..c9000df9f 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -48,13 +48,13 @@ if [ "${GERRIT_BRANCH}" != "master" ]; then
if [ "${OS_ID}" == "ubuntu" ]; then
apt-get -y remove vpp-dpdk-dev || true
apt-get -y remove vpp-dpdk-dkms || true
- apt-get -y remove vpp-dev-contrib || true
+ apt-get -y remove vpp-ext-deps || true
elif [ "${OS_ID}" == "centos" ]; then
yum -y erase vpp-dpdk-devel || true
- yum -y erase vpp-dev-contrib || true
+ yum -y erase vpp-ext-deps || true
yum clean all || true
elif [ "${OS_ID}" == "opensuse" ]; then
yum -y erase vpp-dpdk-devel || true
- yum -y erase vpp-dev-contrib || true
+ yum -y erase vpp-ext-deps || true
fi
fi